TestBuffer Struct Reference

`#include <buffer.test.h>`

## Public Member Functions

Test | emptiness ()
Test | nonemptiness ()
Test | copy ()
Test | resize ()
Test | takeover ()

## Member Function Documentation

## copy()

Test TestBuffer::copy | ( |  | ) |

inline

References assert, assert_eq, wibble::sys::Buffer::data(), and wibble::sys::Buffer::size().

## emptiness()

Test TestBuffer::emptiness | ( |  | ) |

inline

References assert, assert_eq, wibble::sys::Buffer::data(), and wibble::sys::Buffer::size().

## nonemptiness()

Test TestBuffer::nonemptiness | ( |  | ) |

inline

References assert, assert_eq, wibble::sys::Buffer::data(), and wibble::sys::Buffer::size().

## resize()

Test TestBuffer::resize | ( |  | ) |

inline

References assert, assert_eq, wibble::sys::Buffer::data(), wibble::sys::Buffer::resize(), and wibble::sys::Buffer::size().

## takeover()

Test TestBuffer::takeover | ( |  | ) |

inline

References assert_eq, wibble::sys::Buffer::data(), and wibble::sys::Buffer::size().

The documentation for this struct was generated from the following file:

- buffer.test.h